> For the complete documentation index, see [llms.txt](https://developer.textmaster.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.textmaster.com/reference/support-messages.md).

# Support Messages

## List support messages for document

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `discussion:manage`, `discussion:read` or `discussion:write`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/projects/{project\_id}/documents/{document\_id}/support\_messages" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/projects/61698af88b81926d91c0f514/documents/61698af88b81926d91c0f515/support_messages" \
  -H "Authorization: Bearer c5b2a822f9f3e2914e7056b7089503cd1be33ab9bdb4313403341a315c7dbacf"
```

## Create a support message

Creates a support message for given a document `in_review`, or creates a reply to an existing message from the author when the document is `in_progress`.

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `discussion:manage` or `discussion:write`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/projects/{project\_id}/documents/{document\_id}/support\_messages" method="post" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl "https://api.textmaster.com/v1/clients/projects/61698afa8b81926d91c0f5a8/documents/61698afa8b81926d91c0f5a9/support_messages" \
  -X POST \
  -d '{
    "support_message": {
      "message": "Some message explaining why a revision is requested."
    },
    "revision_request": true
  }' \
  -H "Authorization: Bearer 44c90f771334393a72a9b3135711a603d4856e499d96ba5ffaac5e1ab55b21bd" \
  -H "Content-Type: application/json"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.textmaster.com/reference/support-messages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
